//
//  MTQuotesCollectionViewCell.swift
//  Moti
//
//  Created by Raivis Olehno on 12/08/2020.
//  Copyright © 2020 Applikation. All rights reserved.
//

import UIKit
import Foundation
import CollectionViewPagingLayout

class MTQuotesCollectionViewCell: UICollectionViewCell, StackTransformView , NibBased{
    @IBOutlet weak var quoteLabel: UILabel!
    @IBOutlet weak var authorLabel: UILabel!
    @IBOutlet weak var card: UIView!
    @IBOutlet weak var testView: UIImageView!
    @IBOutlet weak var likedButton: UIButton!
    
    var buttonTapped = false
    
    var cardViewTest: UIView!
    
    var shareButtonHandler: (() -> ())?
    var likeButtonHandler: (() -> ())?
    
    var stackOptions = StackTransformViewOptions(
        scaleFactor: 0.12,
        minScale: 0.00,
        maxScale: 1.00,
        maxStackSize: 4,
        spacingFactor: 0.02,
        maxSpacing: nil,
        alphaFactor: 0.01,
        bottomStackAlphaSpeedFactor: 5.13,
        topStackAlphaSpeedFactor: 0.10,
        perspectiveRatio: 0.00,
        shadowEnabled: true,
        shadowColor: .black,
        shadowOpacity: 0.10,
        shadowOffset: .zero,
        shadowRadius: 10.00,
        stackRotateAngel: 0.00,
        popAngle: 0.31,
        popOffsetRatio: .init(width: -1.45, height: 0.30),
        stackPosition: .init(x: 0.00, y: -0.90),
        reverse: false,
        blurEffectEnabled: false,
        maxBlurEffectRadius: 0.00,
        blurEffectStyle: .light
    )

    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
       // setGradientView()
    }
    
    func update( withShareButtonHandler shareButtonHandler: (() -> ())?, withLikeButtonHandler likeButtonHandler: (() -> ())?) { //withQuotes quotes: Quote,
        self.quoteLabel.adjustsFontSizeToFitWidth = true
        self.quoteLabel.minimumScaleFactor = 0.2
        self.shareButtonHandler = shareButtonHandler
        self.likeButtonHandler = likeButtonHandler
    }
    
    func setGradientView() {
//        self.gradientView.addCornerRadius(value: 18)
//        self.gradientView.firstColor = UserDefaults.standard.string(forKey: "firstGradientColour")?.color ?? UIColor.init(red: 131/255, green: 96/255, blue: 195/255, alpha: 1)
//        self.gradientView.secondColor = UserDefaults.standard.string(forKey: "secondGradientColour")?.color ?? UIColor.init(red: 46/255, green: 191/255, blue: 145/255, alpha: 1)
    }
    
    @IBAction func shareButtonPressed(_ sender: Any) {
        if shareButtonHandler != nil {
            shareButtonHandler!()
        }
    }
    
    
    @IBAction func likeButtonPressed(_ sender: Any) {
        if likeButtonHandler != nil {
            likeButtonHandler!()
        }
    }
}
