//
//  UITableViewExtensions.swift
//  Famoola IF
//
//  Created by Samuel Hinchcliffe on 25/02/2019.
//  Copyright © 2019 Applikation. All rights reserved.
//

import Foundation
import UIKit

extension UITableView {
    
    public func registerNibArray(withNames names: [String]) {
        for name in names {
            let nib = UINib(nibName: name, bundle: nil)
            self.register(nib, forCellReuseIdentifier: name)
        }
    }
}

extension UITableViewCell {
    
    override open func awakeFromNib() {
        super.awakeFromNib()
        self.selectionStyle = .none
        // Initialization code
    }
    
}

extension UICollectionView {
    
    public func registerNibArray(withNames names: [String]) {
        for name in names {
            let nib = UINib(nibName: name, bundle: nil)
            self.register(nib, forCellWithReuseIdentifier: name)
        }
    }
    
}
