//
//  ViewController.swift
//  CollectionViewPagingLayoutTest
//
//  Created by Raivis Olehno on 10/09/2021.
//

import UIKit
import CollectionViewPagingLayout

class ViewController: UIViewController {
    
    @IBOutlet weak var collectionView: UICollectionView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view.
        setupView()
    }
    
    func setupView() {
        let layout = CollectionViewPagingLayout()
        collectionView.registerNibArray(withNames: ["MTQuotesCollectionViewCell"])
        collectionView.isPagingEnabled = true
        collectionView.dataSource = self
        layout.numberOfVisibleItems = 6
        collectionView.collectionViewLayout = layout
        collectionView.showsHorizontalScrollIndicator = false
        collectionView.clipsToBounds = false
    }
}

extension ViewController : UICollectionViewDelegate {
    
}

extension ViewController : UICollectionViewDataSource {
    func collectionView(_ collectionView: UICollectionView, numberOfItemsInSection section: Int) -> Int {
        return 10
    }
    
    func collectionView(_ collectionView: UICollectionView, cellForItemAt indexPath: IndexPath) -> UICollectionViewCell {
        guard let cell = collectionView.dequeueReusableCell(withReuseIdentifier: "MTQuotesCollectionViewCell", for: indexPath) as? MTQuotesCollectionViewCell else {
            fatalError()
        }
        
        cell.update {
            print("Liked button tapped on \(indexPath.item)")
        } withLikeButtonHandler: {
            print("Share button tapped on \(indexPath.item)")
        }

        return cell
    }
}

extension ViewController: CollectionViewPagingLayoutDelegate {
    func onCurrentPageChanged(layout: CollectionViewPagingLayout, currentPage: Int) {
        
    }
}

